#
# Copyright (C) 2020-2025 Soleta Networks <info@soleta.eu>
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU Affero General Public License as published by the
# Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.

kiosk_config = {}

def update_kiosk_config(refresh_payload):
    from src.utils.probe import OSFamily
    from src.utils.cache import CacheDataFile

    data_file = CacheDataFile()
    os_list = []
    for part_setup in refresh_payload['partition_setup']:
        if part_setup['os_family'] == OSFamily.UNKNOWN.name:
            del part_setup['os_family']
            continue
        partnum = int(part_setup['partition'])
        disknum = int(part_setup['disk'])
        os_data = {
            'name': part_setup['os'],
            'partition': partnum,
            'disk': disknum,
            'os': part_setup['os_family'],
            'image': data_file.get_image_name(disknum, partnum)
        }
        del part_setup['os_family']
        os_list.append(os_data)
    kiosk_config['os_list'] = os_list